DIFF3(1)

BEZEICHNUNG
diff3 - zeilenweiser Vergleich von drei Dateien

ÜBERSICHT
diff3 [OPTION]... MEINE_DATEI ALTE_DATEI IHRE_DATEI

BESCHREIBUNG
Diff3 vergleicht drei Dateien zeilenweise.

-e  --ed
    nicht zusammengefasste Änderungen von ALTE_DATEI zu IHRE_DATEI in MEINE_DATEI ausgeben.

-E  --show-overlap
    nicht zusammengefasste Änderungen ausgeben; Konflikte einklammern

-A  --show-all
    alle Änderungen ausgeben; Konflikte einklammern

-x  --overlap-only
    überlappende Änderungen ausgeben

-X  überlappende Änderungen ausgeben und diese einklammern

-3  --easy-only
    nicht zusammengefasste und nicht überlappende Änderungen ausgeben

-m  --merge
    kein Ed-Skript ausgeben, sondern Zusammenfassung in eine Datei schreiben (Voreinstellung -A)

-L NAME  --label=NAME
    NAME statt Dateiname verwenden

-i  die Befehle »w« und »q« an Ed-Skripte anhängen

-a  --text
    alle Dateien als Text behandeln

--strip-trailing-cr
    Wagenrücklauf (Carriage Return) am Ende der Eingabe entfernen.

-T  --initial-tab
    Tabulatoren durch Voranstellen von Tabulatoren ausgleichen

--diff-program=PROGRAMM
    PROGRAMM für den Vergleich der Dateien verwenden

-v  --version
    Versionsinformation anzeigen

--help
    diese Hilfe anzeigen

Wenn eine DATEI fehlt oder wenn dafür »-« angegeben ist, wird die Standardeingabe gelesen. Nach erfolgreicher Ausführung ist der Exit-Status 0, bei Unterschieden 1 und bei Problemen 2.

AUTOR
geschrieben von Randy Smith

FEHLER BERICHTEN
Berichten Sie Fehler (auf Englisch) an bug-diffutils@gnu.org Homepage der GNU diffutils: <http://www.gnu.org/software/diffutils/> Allgemeine Hilfe zur Benutzung von GNU-Software: <http://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2010 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für diff3 wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und diff3 auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info diff

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Martin Eberhard Schauer <Martin.E.Schauer@gmx.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.